
export interface ShapeProperty {
    id: number;
    createTime: string;
    spuCode: string;
    categoryId: number;
    createId: number;
    categoryName: string;
    createName: string;
    oneImgUrl: string;
    specimenNumber: number;
    dictDetails: string[];
}


export interface Shape {
    id: number;
    prototypeId: number;
    sdParamId: number;
    styleProductId: number;
    product: Product;
    sdParamEmplate: SdParamEmplate
}


export interface ProductBase {
    productName: string;
}

export interface ProductClassify {
    id: number;
}

export interface ProductImage {
    imgId: number;
    imgUrl:string;
}

export interface Product {
    id: number;
    spuCode: string;
    classifyId: number;
    sourceType: number;
    productStatus: number;
    creatorId: number;
    createTime: string;
    base: ProductBase;
    classify: ProductClassify;
    attrs: string[];
    productImgs: ProductImage[];
    productSkus: string[];
    creatorName: string;
}


export interface SdParamEmplate {
    id: number;
    createTime: string;
    prompt: string;
    negativePrompt: string;
    type: number;
    maskBlur: number;
    inpaintFullResPadding: number;
    step?: number;
    styles: string;
    imageCfgScale: number;
    cfgScale: number;
    module: string;
    model: string;
    inpaintingFill: number;
    denoisingStrength: string;
    chinaName: string;
    isDelete: number;
    niter: number;
}
